import os
import time

for nb_locations in [5, 10, 15]:
    for T in [5, 10, 15]:
        # first the "static" methods
        for i_method in range(2):
            f = open ("method_{}_{}_{}.pbs".format(nb_locations, T, i_method), "w")
            f.write ("#PBS -l select=1:ncpus=4:mem=16GB\n")
            f.write ("#PBS -l walltime=13:00:00\n\n")
            
            f.write ("module load gurobi\n\n")
            f.write ("$HOME/FL_trial/code_and_data/FL ")
            f.write (str(nb_locations))
            f.write ("_")
            f.write (str(T))
            f.write ("_${PBS_ARRAY_INDEX} ")
            f.write (str(i_method))
            f.write (" 0 ${PBS_O_WORKDIR}")
            f.write ("\n\ncp -r $TMPDIR/. $HOME/FL_trial\n\n")
            f.close()

            os.system ("qsub -J 1-50 method_{}_{}_{}.pbs".format (nb_locations, T, i_method))

        # then the dynamic methods
        for i_method in range(4, 5): # only the k method
            for i_how_many in range(2, 11):
                inner_i_method = (i_method - 2) * 9 + (i_how_many - 2) + 2
                f = open ("method_{}_{}_{}.pbs".format(nb_locations, T, inner_i_method), "w")
                f.write ("#PBS -l select=1:ncpus=4:mem=16GB\n")
                f.write ("#PBS -l walltime=20:00:00\n\n")
                f.write ("cp $HOME/FL_trial/policies/policies_")
                f.write (str(nb_locations))
                f.write ("_")
                f.write (str(T))
                f.write ("_${PBS_ARRAY_INDEX}.txt $TMPDIR\n\n")
                f.write ("module load gurobi\n\n")

                f.write ("$HOME/FL_trial/code_and_data/FL ")
                f.write (str(nb_locations))
                f.write (" ")
                f.write (str(T))
                f.write (" ${PBS_ARRAY_INDEX} ")
                f.write (str(i_method))
                f.write (" ")
                f.write (str(i_how_many))
                f.write (" ${PBS_O_WORKDIR}")
                f.write ("\n\ncp -r $TMPDIR/. $HOME/FL_trial/output\n\n")

                f.close()

                os.system ("qsub -J 1-50 method_{}_{}_{}.pbs".format (nb_locations, T, inner_i_method))
