import os
import time

for nb_locations in [5, 10, 15]:
    for T in [5, 10, 15]:
        f = open ("method_{}_{}.pbs".format(nb_locations, T), "w")

        f.write("#PBS -l select=1:ncpus=4:mem=16GB\n")
        f.write("#PBS -l walltime=01:00:00\n\n")
    
        f.write ("module load gurobi\n\n")
        f.write ("$HOME/FL_trial/GENERATE_INITIAL ")
        f.write (str(nb_locations))
        f.write (" ")
        f.write (str(T))
        f.write (" $PBS_ARRAY_INDEX \n\ncp -r $TMPDIR/. $HOME/FL_trial/Output\n\n")

        f.close()

        os.system ("qsub -J 1-50 method_{}_{}.pbs".format(nb_locations, T))
